### Method

# Clapper Queue select_item

#### Declaration [src]

    gboolean
    clapper_queue_select_item (
      ClapperQueue* queue,
      ClapperMediaItem* item
    )

#### Description [src]

Selects `ClapperMediaItem` from `queue` as current one or unselects currently selected item when `item` is `NULL`.

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem` or `NULL` to unselect.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if item could be selected/unselected, `FALSE` if it was not in the queue.